<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateContractDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contract_details', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('contract_id')->nullable();
            $table->unsignedInteger('assign_allowance_id')->nullable();
            $table->unsignedInteger('allowance_id')->nullable();
            $table->unsignedInteger('asset_id')->nullable();
            $table->double('amount')->nullable();

            $table->enum('is_recycle', ['0','1','2'])->default('0');

            $table->double('percentage')->nullable();
            $table->string('form')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contract_details');
    }
}
